<?php include ("_oben.inc"); ?>
<h2>DSL-Server fr WLAN und mit IPSec-Verschlsselung</h2>
<h5 align="right">
  <a title="http://sommer-tv.de" target="_blank" href="http://sommer-tv.de">von <b>Kurt Sommer</b> erstellt <b>??.????</b></a>
</h5>
<br>
<h5><b>
Will man mit mehreren Rechnern gleichzeitig ins Internet gehen, bietet sich der Einsatz eines zentralen Servers an. Problematisch wird so ein Projekt, wenn mehrere Teilnehmer rumlich voneinander getrennt sind und kein Kabel verlegt werden kann, weil sich der Teilnehmer z.B. auf der gegenberliegenden Straenseite befindet.
</b><br>
<br>
Die Lsung fr das rumliche Problem heit WLAN, entsprechende Karten sind in letzter 
Zeit rapide im Preis gefallen. Man handelt sich jedoch, wenn keine geeigneten 
Gegenmanahmen getroffen werden, ein enormes Sicherheitsproblem ein, vor allem dann, 
wenn die Karten so betrieben werden, wie es die Bedienungsanleitungen vorschlagen.<br>
<br>
Mit einem Linux-Server und den entsprechenden Softwarepaketen wurde das LAN jedoch so 
abgesichert, da ein Mibrauch nahezu unmglich ist.<br>
<br>
Die Skizze zeigt die etwas komplexere Verschaltung des Netzwerkes, ein schwacher 
Ebay-Rechner tut's hier leider nicht mehr, da die Maschine wegen der Verschlsselung 
zu fast 80% ausgelastet ist:<br>
<br>
<p align="center">
<img border="0" src="bilder/linux-hilfe-dsl-server.gif"><br>
</p>
<br>
<br>
Gleich eins vorweg:<br>
Diese Verdrahtung eignet sich weniger fr ein Hochsicherheits-Netzwerk, da Router und 
Firewall eigentlich auf getrennten Rechnern laufen sollten. Wenn man bei der Installation 
allerdings aufpasst, nur die unbedingt notwendigen Dienste freischaltet und einen 
monolitischen Kernel benutzt, ist die Lsung fr den Hausgebrauch aber mehr als ausreichend.<br>
<br>
Wie aus der Skizze ersichtlich, ist der Server mit 3 Netzwerkkarten ausgestattet, 
die Karte 192.168.1.1 (eth0) ist direkt mit dem DSL-Modem verbunden, empfangene Pakete 
werden auf die Adressen 192.168.2.x (eth3) und 192.168.3.x (eth2) geroutet. 
Wird ein hherer Datendurchsatz bentigt, kann anstatt der Funklan-Karte auch ein 
WLAN-Access-Point eingesetzt werden, fr normales Surfen reicht aber eine WLAN-Karte aus. 
Als Kartentyp eignen sich am Besten Karten mit dem Orinoco-Chipsatz, die teilweise schon 
recht gnstig zu bekommen sind. Das ppp0-Ausgangsdevice ist mit dem IPtables-Paketfilter 
(Firewallsoftware) abgesichert.<br>
<br>
Wie das Routing funktioniert, wurde bereits in der Beschreibung des Modem-Routers 
ausfhrlich behandelt.<br>
<br>
Fr das Funk-LAN mute eine besondere Sicherungsmanahme her, da die Standard-Verschlsselung 
von WLAN alles andere als sicher ist.<br>
<br>
Dazu wurde auf dem Server das Paket ipsec von 
<a target="_blank" href="http://www.freeswan.org/">freeswan</a>
 installiert und eingerichtet. 
Die verwendete Version funktioniert mit Kernels ab 2.0.39 bis 2.4.18. Da wir einen 
neuen Kernel bentigen, mssen die 
<a target="_blank" href="http://www.kernel.org/">Kernelquellen</a>
 und die 
<a target="_blank" href="http://swox.com/gmp/">GNU-MP Bibliotheken</a>
 vorhanden sein.<br>
<br>
<b>Installation:</b><br>
<br>
Zuerst wird das Archiv <i>freeswan-1.99.tar.gz</i> nach <i>/usr/src</i> in das Unterverzeichnis
<i>freeswan-1.99</i> ausgepackt, nach einem Wechsel in das Verzeichnis wird mit <i>make menugo</i> 
der Kernel gepatcht und automatisch menuconfig aufgerufen. Dort kann man sich die neue 
Konfiguration unter <i>NETWORKING OPTIONS</i> anschauen. Anschlieend werden alle notwendigen 
Treiber fr den Server fest einkompiliert, der Module-Loader deaktiviert und smtliche, 
nicht notwendige Treiber abgeschaltet.<br>
<br>
Nachdem der neue Kernel bersetzt wurde, mu er nach <i>/boot vmlinuz</i> kopiert werden und 
anschlieend noch der Bootloader eingerichtet werden.<br>
<br>
Nach einem Reboot sollte der Kernel dann die IPSec-Untersttzung prsentieren:<br> 
klips:info:ipsec_init:KLIPS startup,FreeS/WAN IPSec version: 1.99.<br>
Mit <i>cat /proc/net/ipsec_version</i> kann ebenfalls die Version des installieren IPSec 
angezeigt werden.<br>
<br>
Die Haupt-Konfigurationsdateien von IPSec sind /etc/ipsec.conf und /etc/ipsec.secrets. 
Die Datei ipsec.secrets ist die Datei, in der der geheime Teil der Schlssels aufbewahrt 
wird. Ein neues Schlsselpaar wird mit <i>ipsec rsasigkey Bitgre</i> erzeugt, z.B. 
<i>ipsec rsasigkey 2048</i> und anschlieend nach <i>/etc/ipsec.secrets</i> eingetragen.<br>
<br>
Im Nachhinein poste ich hier mal meine ipsec.conf, diese kann je nach verwendeten 
Netzwerkinterfaces variieren und mu dann entsprechend angepasst werden, 
Interessierte sollten sich auch die man-pages von IPSec durchlesen:<br> 
<br><i>
#ipsec.conf<br>
config.setup<br>
interfaces =ipsec1_eth3<br>
klipsdebug = none<br>
plutodebug = none<br>
plutoload = %search<br>
plutostart = %search<br>
plutowait = no<br>
forwardcontrol = no<br>
fragicmp = yes</i><br>
<br>
Verschlsselte Pakete der Clienten werden also auf dem Server entschlsselt und in 
das Internet (eth0) geroutet, umgekehrt werden die empfangenen Pakete vom Server 
verschlsselt und ber die Antenne (an eth3) zum Clienten abgestrahlt.<br>
<br>
<p align="center">
<img border="0" src="bilder/linux-hilfe-dsl-server-02.gif"><br>
</p>
<br>
Problematisch erwiesen sich hier die Win95/98 Clienten, da diese Systeme von Haus 
aus kein IPSec beherrschen. Microsoft bietet hierfr allerdings ein Update, 
nach dessen Installation befindet sich in der Netzwerkumgebung ein neuer Zweig 
<i>(L2TP/IPSec VPN-Adapter)</i> sowie das Programm <i>Ipsec VPN-Konfiguration</i> , 
das entsprechend eingerichtet werden mu. Der ffentliche Teil des erzeugten 
Schlssels wird dann wieder auf den Server kopiert.<br>
<br>
Tja, und aus Schaden wird man auch klug....;<br>
Die verwendete Antenne, (siehe Fotos unserer Installparty), bringt ca. 10dBi 
Gewinn und somit eine betrchtliche Reichweite, wurde aber mittlerweile stark 
abgeschirmt, so da nur noch der tatschliche Nutzbereich mit 
Funkwellen verseucht wird.<br>
<br>
Einige User waren so raffiniert, da sie ihre eigenen Windows-Kisten als Server 
konfigurierten, um dann ihre Spezl und Verwandten durch unser Netz zu schleusen. 
Ein direktes Ankoppeln ging nicht wegen der Abfrage der MAC-Adressen, auerdem 
werden dafr auf dem Server die entsprechenden IPSec-Keys bentigt.<br>
<br>
Die Clienten wurden deshalb mit einer Security-Software versehen, (Cryptographie ist
halt meine Leidenschaft). Das Programm arbeitet massiv Hardware-gebunden und 
blockiert whrend einer Internet-Session das Routing, sowie weitere Netzwerkkarten, 
leider Pech fr diejenigen, die ihren Drucker nicht lokal angeschlossen haben... <br>
<br>
Als nchste Ausbaustufe (Skizze2) werden dann auch noch die lokalen Benutzer am 
LAN2 ber IPSec angekoppelt, dann ist das Projekt im Moment perfekt...<br>
<br>
<br>
Viel Spass beim Nachbauen....<br>
<br>
Kurt Sommer<br>
<br>
</h5>
</body>

<?php include ("_mitte.inc"); ?>

<ul id="menue">
<li class="invis"><b>Navigation</b></li>
<li><a href="index.php">LUG &raquo;</a></li>
<li><a  href="linux.php">LINUX &raquo;</a>
  <ul>
	<li><a href="linux-was_ist_linux.php">was ist Linux?</a></li>
  <li><a href="linux-hilfe.php">Hilfen &raquo;</a></li>
  <ul>
    <li><a href="linux-hilfe-brenner.php">Brenner</a></li>
    <li><a href="linux-hilfe-verschluesseln.php">Verschlsseln</a></li>
    <li><a href="linux-hilfe-fax.php">Hylafax</a></li>
    <li><a href="linux-hilfe-router.php">Router</a></li>
    <li><a class="aktiv" href="linux-hilfe-dsl-server.php">DSL-Server</a></li>
    <li><a href="linux-hilfe-wardriving.php">Wardriving</a></li>
    <li><a href="linux-hilfe-php_pdf.php">PDF mit PHP</a></li>
    <li><a href="linux-hilfe-mysql_user.php">MySQL B.v.</a></li>
    <li><a href="linux-hilfe-wu-imap.php">WU-IMAP S.</a></li>    
  </ul>   
	<li><a href="linux-links.php">Links</a></li>
  </ul>
</li>
<li><a href="download.php">Download</a></li>
<li><a href="odgb/index.php">Gstebuch</a></li>
</ul>	

<?php include ("_unten.inc"); ?>