<?php

#Liest eine Template Datein ein:
function gettemplate($template) {
  global $settings;		
  
  $out = implode("",file($settings['loc']."templates/".$template.".".$settings['tempsuff']));		
  return str_replace("\"","\\\"",$out);
}



#Ersetzt Platzhalter und gibt die Template Datei aus:
function showtemplate($template) {
  global $settings;        

  $template = str_replace("{url}",$settings['url'],$template);
  $template = str_replace("{title}",$settings['title'],$template);
  $template = str_replace("{version}",$settings['version'],$template);
  
  echo $template;
}



/* Verarbeitet Variablen zum Schutz vor SQL-Injection-Attaken: */
function secure_sql($value){
  if (get_magic_quotes_gpc()) {
    $value = stripslashes($value);
  }
  if (!is_int($value)) {
    $value = "'" . mysql_real_escape_string($value) . "'";
  }
  
  return $value;
}



function prepare4sql($string) {
    
  $string = trim($string);
  $string = strip_tags($string);
  
  $smilies_ort = $settings['url']."gfx";
	$smilies_ubb_array = array(
		":)","grins.gif",
		";)","zwinker.gif",
		":D","lach.gif",
		":|","neutral.gif",
		":p","zunge.gif",
		"X)","augenzu.gif",
		":O","staun.gif",
		":angst:","angst.gif",
		":schlaf:","schlaf.gif",);    	
  
	$smilie_rep_count = 0;
  while($smilies_ubb_array[$smilie_rep_count]!=""){
  	$smilie_rep_count2 = $smilie_rep_count + 1;
  	$string = str_replace("$smilies_ubb_array[$smilie_rep_count]","<img src=\"$smilies_ort/$smilies_ubb_array[$smilie_rep_count2]\" alt=\"Emotion\" />",$string);
	 	$smilie_rep_count+=2;
  }
  
  $string=eregi_replace("([ \r\n])http://([^ ,\r\n]*)","\\1[url]http://\\2[/url]",$string);
  $string=eregi_replace("([ \r\n])https://([^ ,\r\n]*)","\\1[url]https://\\2[/url]",$string);
  $string=eregi_replace("([ \r\n])ftp://([^ ,\r\n]*)","\\1[url]ftp://\\2[/url]",$string);
  $string=eregi_replace("([ \r\n])www\\.([^ ,\r\n]*)","\\1[url]http://www.\\2[/url]",$string);
  $string=eregi_replace("^http://([^ ,\r\n]*)","[url]http://\\1[/url]",$string);
  $string=eregi_replace("^https://([^ ,\r\n]*)","[url]https://\\1[/url]",$string);
  $string=eregi_replace("^ftp://([^ ,\r\n]*)","[url]ftp://\\1[/url]",$string);
  $string=eregi_replace("^www\\.([^ ,\r\n]*)","[url]http://www.\\1[/url]",$string);
  $string=str_replace("[hr]","<hr>",$string);
  $string=preg_replace("/\[b\](.*)\[\/b\]/iUms","<b>\\1</b>",$string);
  $string=preg_replace("/\[i\](.*)\[\/i\]/iUms","<i>\\1</i>",$string);
  $string=preg_replace("/\[s\](.*)\[\/s\]/iUms","<strike>\\1</strike>",$string);
  $string=preg_replace("/\[u\](.*)\[\/u\]/iUms","<u>\\1</u>",$string);
  $string=preg_replace("/\[email\](.*)\[\/email\]/msiU", "<a href=\"mailto:\\1\" target=\"_blank\">\\1</a>", $string);
  $string=preg_replace("/\[url\]www.(.*)\[\/url\]/iUms","<a href=\"http://www.\\1\" target=\"_blank\">http://www.\\1</a>",$string);
  $string=preg_replace("/\[url\](.*)\[\/url\]/iUms","<a href=\"\\1\" target=\"_blank\">\\1</a>",$string);
  $string=preg_replace("/\[url=(.*)\](.*)\[\/url\]/iUms","<a href=\"\\1\" target=\"_blank\">\\2</a>",$string);
  $string=preg_replace("/\[code\](.*)\[\/code\]/msiU", "<blockquote><pre><smallfont>code:<hr>\\1<hr></blockquote></pre></smallfont>", $string);
  $string=preg_replace("/\[quote\](.*)\[\/quote\]/msiU", "<blockquote><smallfont>quote:<hr>\\1<hr></blockquote></smallfont>", $string);
  $string=preg_replace("/\[img\](.*)\[\/img\]/iUms","<div align=\"center\"><img src=\"\\1\" border=\"0\" alt=\"bild\"></div>",$string);
  $string=preg_replace("/\[green\](.*)\[\/green\]/iUms","<span style=\"color:green\">\\1</span>",$string);
  $string=preg_replace("/\[red\](.*)\[\/red\]/iUms","<span style=\"color:red\">\\1</span>",$string);
  $string=preg_replace("/\[blue\](.*)\[\/blue\]/iUms","<span style=\"color:blue\">\\1</span>",$string);
  $string=preg_replace("/\[white\](.*)\[\/white\]/iUms","<span style=\"color:white\">\\1</span>",$string);
  $string=preg_replace("/\[sub\](.*)\[\/sub\]/iUms","<sub>\\1</sub>",$string);
  $string=preg_replace("/\[sup\](.*)\[\/sup\]/iUms","<sup>\\1</sup>",$string);
  
  $string = addslashes($string);    
  
  return $string;
}

function prepare4view($string){
  $string = nl2br($string);
  $string = stripslashes($string);
  $new_text = '';
  $string_1 = explode('>',$string);
  $sizeof = sizeof($string_1);
  for ($i=0; $i<$sizeof; ++$i) {
    $string_2 = explode('<',$string_1[$i]);
    if (!empty($string_2[0])) {
      $new_text .= preg_replace('#([^\n\r .]{50})#i', '\\1  ', $string_2[0]);
    }
    if (!empty($string_2[1])) {
      $new_text .= '<' . $string_2[1] . '>';   
    }
  }  
  
  return $new_text;   
}

function prepare4form($string){

  $string = stripslashes($string);
  
  $string=preg_replace("/<b>(.*)<\/b>/iUms","[b]\\1[/b]",$string);
	$string=preg_replace("/<i>(.*)<\/i>/iUms","[i]\\1[/i]",$string);
	$string=preg_replace("/<u>(.*)<\/u>/iUms","[u]\\1[/u]",$string);
	$string=preg_replace("/<strike>(.*)<\/strike>/iUms","[s]\\1[/s]",$string);
	$string=preg_replace("/<a href=\"mailto:(.*)\">(.*)<\/a>/msiU", "[email]\\1[/email]", $string);
	$string=preg_replace("/<a href=\"(.*)\" target=_blank>(.*)<\/a>/iUms","[url]\\1[/url]",$string);
	$string=preg_replace("/<blockquote><pre><smallfont>code:<hr>(.*)<hr><\/blockquote><\/pre><\/smallfont>/msiU", "[code]\\1[/code]", $string);
	$string=preg_replace("/<blockquote><smallfont>quote:<hr>(.*)<hr><\/blockquote><\/smallfont>/msiU", "[quote]\\1[/quote]", $string);
	$string=str_replace("<hr>","[hr]",$string);
	$string=preg_replace("/<center><img src=\"(.*)\" alt=\"bild\"><\/center>/iUms","[img]\\1[/img]",$string);
	$string=preg_replace("/<span style=\"color:green\">(.*)<\/span>/iUms","[green]\\1[/green]",$string);
	$string=preg_replace("/<span style=\"color:red\">(.*)<\/span>/iUms","[red]\\1[/red]",$string);
	$string=preg_replace("/<span style=\"color:blue\">(.*)<\/span>/iUms","[blue]\\1[/blue]",$string);
	$string=preg_replace("/<span style=\"color:white\">(.*)<\/span>/iUms","[white]\\1[/white]",$string);
	$string=preg_replace("/<sub>(.*)<\/sub>/iUms","[sub]\\1[/sub]",$string);
	$string=preg_replace("/<sup>(.*)<\/sup>/iUms","[sup]\\1[/sup]",$string);
  
  $smilies_ort = $settings['url']."gfx";
	$smilies_ubb_array = array(
		":)","grins.gif",
		";)","zwinker.gif",
		":D","lach.gif",
		":|","neutral.gif",
		":p","zunge.gif",
		"X)","augenzu.gif",
		":O","staun.gif",
		":angst:","angst.gif",
		":schlaf:","schlaf.gif",);  
	
  //Smileys:
  //str_replace("altes-zeichen","neues-zeichen","zeichenkette");
	$smilie_rep_count = 0;
  while($smilies_ubb_array[$smilie_rep_count]!=""){
  	$smilie_rep_count2 = $smilie_rep_count + 1;
  	$string = str_replace("<img src=\"$smilies_ort/$smilies_ubb_array[$smilie_rep_count2]\" alt=\"Emotion\" />","$smilies_ubb_array[$smilie_rep_count]",$string);
	 	$smilie_rep_count+=2;
  }
  
  return $string;  
}
?>